polygene-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From paulmer...@apache.org
Subject [3/8] zest-qi4j git commit: Summer dependencies versions upgrade
Date Mon, 06 Jul 2015 16:04:40 GMT
Summer dependencies versions upgrade


Project: http://git-wip-us.apache.org/repos/asf/zest-qi4j/repo
Commit: http://git-wip-us.apache.org/repos/asf/zest-qi4j/commit/b6cb7bbf
Tree: http://git-wip-us.apache.org/repos/asf/zest-qi4j/tree/b6cb7bbf
Diff: http://git-wip-us.apache.org/repos/asf/zest-qi4j/diff/b6cb7bbf

Branch: refs/heads/develop
Commit: b6cb7bbf9a32af9761e6175a73a362da0f51c1f6
Parents: ca8126e
Author: Paul Merlin <paulmerlin@apache.org>
Authored: Mon Jul 6 16:59:36 2015 +0200
Committer: Paul Merlin <paulmerlin@apache.org>
Committed: Mon Jul 6 16:59:36 2015 +0200

----------------------------------------------------------------------
 extensions/entitystore-jclouds/build.gradle     |  1 +
 .../sql/DerbySQLEntityStoreTest.java            |  3 +-
 .../entitystore/sql/H2SQLEntityStoreTest.java   |  3 +-
 .../entitystore/sql/SQLiteEntityStoreTest.java  |  3 +-
 libraries.gradle                                | 80 ++++++++++----------
 5 files changed, 47 insertions(+), 43 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/zest-qi4j/blob/b6cb7bbf/extensions/entitystore-jclouds/build.gradle
----------------------------------------------------------------------
diff --git a/extensions/entitystore-jclouds/build.gradle b/extensions/entitystore-jclouds/build.gradle
index e560bba..81e4e3c 100644
--- a/extensions/entitystore-jclouds/build.gradle
+++ b/extensions/entitystore-jclouds/build.gradle
@@ -31,6 +31,7 @@ dependencies {
 
   testCompile project( ":org.qi4j.core:org.qi4j.core.testsupport" )
   testCompile( project( ":org.qi4j.extensions:org.qi4j.extension.valueserialization-orgjson"
) )
+  testCompile libraries.jclouds_filesystem
 
   testRuntime project( ":org.qi4j.core:org.qi4j.core.runtime" )
   testRuntime libraries.logback

http://git-wip-us.apache.org/repos/asf/zest-qi4j/blob/b6cb7bbf/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/DerbySQLEntityStoreTest.java
----------------------------------------------------------------------
diff --git a/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/DerbySQLEntityStoreTest.java
b/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/DerbySQLEntityStoreTest.java
index 7d15d46..31da42c 100644
--- a/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/DerbySQLEntityStoreTest.java
+++ b/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/DerbySQLEntityStoreTest.java
@@ -14,6 +14,7 @@
  */
 package org.qi4j.entitystore.sql;
 
+import java.io.File;
 import java.sql.Connection;
 import java.sql.Statement;
 import javax.sql.DataSource;
@@ -92,7 +93,7 @@ public class DerbySQLEntityStoreTest
                 stmt.execute( String.format( "DELETE FROM %s." + SQLs.TABLE_NAME, schemaName
) );
                 connection.commit();
             }
-            FileUtil.removeDirectory( "target/qi4j-data" );
+            FileUtil.removeDirectory( new File( "target/qi4j-data" ) );
         }
         finally
         {

http://git-wip-us.apache.org/repos/asf/zest-qi4j/blob/b6cb7bbf/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/H2SQLEntityStoreTest.java
----------------------------------------------------------------------
diff --git a/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/H2SQLEntityStoreTest.java
b/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/H2SQLEntityStoreTest.java
index 9b89dc1..dc3e8b2 100644
--- a/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/H2SQLEntityStoreTest.java
+++ b/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/H2SQLEntityStoreTest.java
@@ -13,6 +13,7 @@
  */
 package org.qi4j.entitystore.sql;
 
+import java.io.File;
 import org.apache.derby.iapi.services.io.FileUtil;
 import org.qi4j.api.common.Visibility;
 import org.qi4j.bootstrap.AssemblyException;
@@ -68,7 +69,7 @@ public class H2SQLEntityStoreTest
     {
         try
         {
-            FileUtil.removeDirectory( "target/qi4j-data" );
+            FileUtil.removeDirectory( new File( "target/qi4j-data" ) );
         }
         finally
         {

http://git-wip-us.apache.org/repos/asf/zest-qi4j/blob/b6cb7bbf/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/SQLiteEntityStoreTest.java
----------------------------------------------------------------------
diff --git a/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/SQLiteEntityStoreTest.java
b/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/SQLiteEntityStoreTest.java
index 6040ae5..5e4d5d1 100644
--- a/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/SQLiteEntityStoreTest.java
+++ b/extensions/entitystore-sql/src/test/java/org/qi4j/entitystore/sql/SQLiteEntityStoreTest.java
@@ -13,6 +13,7 @@
  */
 package org.qi4j.entitystore.sql;
 
+import java.io.File;
 import org.apache.derby.iapi.services.io.FileUtil;
 import org.junit.BeforeClass;
 import org.qi4j.api.common.Visibility;
@@ -77,7 +78,7 @@ public class SQLiteEntityStoreTest
     {
         try
         {
-            FileUtil.removeDirectory( "target/qi4j-data" );
+            FileUtil.removeDirectory( new File( "target/qi4j-data" ) );
         }
         finally
         {

http://git-wip-us.apache.org/repos/asf/zest-qi4j/blob/b6cb7bbf/libraries.gradle
----------------------------------------------------------------------
diff --git a/libraries.gradle b/libraries.gradle
index 4e4e3df..93071dc 100644
--- a/libraries.gradle
+++ b/libraries.gradle
@@ -20,75 +20,75 @@
 // Versions of Dependencies;
 def asmVersion = '5.0.4'
 def bonecpVersion = '0.8.0.RELEASE'
-def bouncyVersion = '1.50'
+def bouncyVersion = '1.52'
 def c3p0Version = '0.9.1.2'
-def commonsCodecVersion = '1.8'
-def commonsDbcpVersion = '1.4' // Should be moved to org.apache.tomcat:tomcat-jdbc:8.0.8
+def commonsCodecVersion = '1.10'
+def commonsDbcpVersion = '1.4' // Should be moved to commons-dbcp2
 def commonsIoVersion = '2.4'
-def commonsLangVersion = '2.6'
-def derbyVersion = '10.10.2.0'
-def dnsJavaVersion = '2.1.6'
-def ehcacheVersion = '2.8.3'
-def elasticsearchVersion = '1.3.4'
-def freemarkerVersion = '2.3.20'
-def groovyVersion = '2.3.2'
-def guavaVersion = '17.0'
-def h2Version = '1.4.178'
-def hazelcastVersion = '3.2.2'
+def commonsLangVersion = '2.6' // Should be moved to commons-lang3
+def derbyVersion = '10.11.1.1'
+def dnsJavaVersion = '2.1.7'
+def ehcacheVersion = '2.10.0'
+def elasticsearchVersion = '1.6.0'
+def freemarkerVersion = '2.3.22'
+def groovyVersion = '2.4.3'
+def guavaVersion = '18.0'
+def h2Version = '1.4.187'
+def hazelcastVersion = '3.5'
 def httpClientVersion = '4.2.2' // 4.3.4 exists
-def jacksonVersion = '2.4.0'
-def javascriptVersion = '1.7R4'
+def jacksonVersion = '2.5.4'
+def javascriptVersion = '1.7.7'
 def javasqlgeneratorVersion = '0.3.2'
-def jcloudsVersion = '1.7.3'
+def jcloudsVersion = '1.9.0'
 def jdbmVersion = '2.4'
 def jdomVersion = '2.0.2'
-def jedisVersion = '2.5.1'
-def jettyVersion = '9.2.1.v20140609'
+def jedisVersion = '2.7.2'
+def jettyVersion = '9.2.11.v20150529' // 9.3.x Tests fail!
 def jgoodiesLooksVersion = '2.5.3'
-def jodaMoneyVersion = '0.9.1'
-def jodaTimeVersion = '2.3'
+def jodaMoneyVersion = '0.10.0'
+def jodaTimeVersion = '2.8.1'
 def jtaVersion = '1.1'
 def leveldbVersion = '0.7'
 def leveldbJniVersion = '1.8'
-def liquibaseVersion = '3.2.0'
+def liquibaseVersion = '3.4.0'
 def log4jVersion = '1.2.17'
-def logbackVersion = '1.1.2'
-def mongodbVersion = '2.12.2'
-def mysqlVersion = '5.1.31'
+def logbackVersion = '1.1.3'
+def mongodbVersion = '2.13.2' // 3.0.x Fails to compile!
+def mysqlVersion = '5.1.35'
 def orgJsonVersion = '20130213'
 def osgiVersion = '4.2.0' // 4.3.0 Fails to compile! - 5.0.0 exists
 def pdfboxVersion = '1.8.5'
-def postgresqlVersion = '9.3-1101-jdbc4'
+def postgresqlVersion = '9.4-1201-jdbc41'
 def prefuseVersion = '0.21'
 def restletVersion = '2.0.15' // 2.2.1 Fails to compile!
 def rdfVersion = '2.7.9'
-def riakVersion = '1.4.4'
-def scalaVersion = '2.11.1'
+def riakVersion = '1.4.4' // 2.0.x Fails to compile!
+def scalaVersion = '2.11.6'
 def servletVersion = '3.1.0'
 def shiroVersion = '1.2.3'
 def skedVersion = '2.1'
 def sleepycatVersion = '5.0.73'
-def slf4jVersion = '1.7.7'
+def slf4jVersion = '1.7.12'
 def solrVersion = "1.4.1" // 4.8.1 Fails to compile!
-def springVersion = '4.1.7.RELEASE' // 4.0.5.RELEASE Fails to compile!
-def spymemcachedVersion = '2.11.3'
-def sqliteVersion = '3.7.2'
+def springVersion = '4.1.7.RELEASE'
+def spymemcachedVersion = '2.12.0'
+def sqliteVersion = '3.8.10.1'
 def velocityVersion = '1.7'
 def voldemortVersion = '1.3.0'
 def wicketVersion = '1.5.8' // 6.15.0 Samples fails to compile!
 def wicketStatelessVersion = '1.5.0'
-def woodstoxVersion = '4.4.0'
+def woodstoxVersion = '4.4.1'
 def yammerMetricsVersion = '2.2.0'
 
-def antVersion = '1.9.4'
-def awaitilityVersion = '1.6.0'
-def easyMockVersion = '3.2'
-def jmockVersion = '2.6.0'
+def antVersion = '1.9.5'
+def awaitilityVersion = '1.6.3'
+def easyMockVersion = '3.3.1'
+def jmockVersion = '2.8.1'
 def junitVersion = '4.11'
-def mockitoVersion = '1.9.5'
-def testNgVersion = '6.8.8'
-def restAssuredVersion= '2.3.2'
-def xmlunitVersion = '1.5'
+def mockitoVersion = '1.10.19'
+def testNgVersion = '6.9.4'
+def restAssuredVersion= '2.4.1'
+def xmlunitVersion = '1.6'
 
 // build a map of the dependency artifacts to use.  Allows centralized definition of the
version of artifacts to
 // use.  In that respect it serves a role similar to <dependencyManagement> in Maven


Mime
View raw message